Pre-release — content may change.

Webhooks

List webhook endpoints

GET
/webhook/endpoints

Lists webhook endpoints, ordered by most recently updated. Administrator access only.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?

Offset pagination parameters.

fields[endpoints]?array<>

Sparse-fieldset selection. The JSON:API resource type for a webhook endpoint is endpoints.

Response Body

application/json

application/json

curl -X GET "https://example.com/webhook/endpoints"
{  "data": [    {      "type": "endpoints",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "name": "string",        "target_url": "http://example.com",        "events": [          "string"        ],        "status": "inactive",        "filters": {},        "signature_key_masked": "string",        "signature_key": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "relationships": {        "attempts": {          "links": {            "related": "/webhook/endpoints/7247ad7d-9275-454b-9e3a-0570e403739e/attempts"          }        }      },      "links": {        "self": "/webhook/endpoints/7247ad7d-9275-454b-9e3a-0570e403739e"      },      "meta": {}    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}